summaryrefslogtreecommitdiffstats
path: root/desktop/lxpanel
diff options
context:
space:
mode:
Diffstat (limited to 'desktop/lxpanel')
-rw-r--r--desktop/lxpanel/README6
-rw-r--r--desktop/lxpanel/lxpanel.SlackBuild14
-rw-r--r--desktop/lxpanel/lxpanel.info8
-rw-r--r--desktop/lxpanel/patches/lxpanel-0.10.1-fix-pager-panel-width.patch37
4 files changed, 55 insertions, 10 deletions
diff --git a/desktop/lxpanel/README b/desktop/lxpanel/README
index 14dd8a5e8a..1874d5d900 100644
--- a/desktop/lxpanel/README
+++ b/desktop/lxpanel/README
@@ -1 +1,7 @@
LXPanel is a NETWM/EWMH compliant lightweight X11 desktop panel.
+
+If you want to build this for gtk+2, pass to the script the switch
+
+ GTK3=no
+
+you will need the additional dependency keybinder in this case.
diff --git a/desktop/lxpanel/lxpanel.SlackBuild b/desktop/lxpanel/lxpanel.SlackBuild
index d1fd7184d5..2e16ffb833 100644
--- a/desktop/lxpanel/lxpanel.SlackBuild
+++ b/desktop/lxpanel/lxpanel.SlackBuild
@@ -3,7 +3,7 @@
# Slackware build script for lxpanel
# (C) 2008 Michael Wagner <lapinours@web.de>
-# Copyright 2011-2021 Matteo Bernardini <ponce@slackbuilds.org>, Pisa, Italy
+# Copyright 2011-2024 Matteo Bernardini <ponce@slackbuilds.org>, Pisa, Italy
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -28,7 +28,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=lxpanel
-VERSION=${VERSION:-0.10.1}
+VERSION=${VERSION:-20230918_633a2d4}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -41,9 +41,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -67,6 +64,8 @@ else
LIBDIRSUFFIX=""
fi
+WITHGTK3="--enable-gtk3" ; [ "${GTK3:-yes}" = "no" ] && WITHGTK3=""
+
DOCS="AUTHORS COPYING ChangeLog README"
set -e
@@ -84,7 +83,9 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-sh autogen.sh || true
+for i in $CWD/patches/* ; do patch -p1 < $i ; done
+
+./autogen.sh || true
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -99,6 +100,7 @@ CXXFLAGS="$SLKCFLAGS" \
--program-suffix= \
--with-plugins=all \
--disable-silent-rules \
+ $WITHGTK3 \
--build=$ARCH-slackware-linux
make
diff --git a/desktop/lxpanel/lxpanel.info b/desktop/lxpanel/lxpanel.info
index acef8470ba..5dc89ae13f 100644
--- a/desktop/lxpanel/lxpanel.info
+++ b/desktop/lxpanel/lxpanel.info
@@ -1,10 +1,10 @@
PRGNAM="lxpanel"
-VERSION="0.10.1"
+VERSION="20230918_633a2d4"
HOMEPAGE="https://wiki.lxde.org/en/LXPanel"
-DOWNLOAD="https://downloads.sf.net/lxde/lxpanel-0.10.1.tar.xz"
-MD5SUM="c922d044789c3d7ae028f0e80dea18b0"
+DOWNLOAD="https://ponce.cc/slackware/sources/repo/lxde/lxpanel-20230918_633a2d4.tar.xz"
+MD5SUM="e8b042e60c977c70eda52caf0f61b6b7"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-REQUIRES="keybinder libfm"
+REQUIRES="libfm"
MAINTAINER="Matteo Bernardini"
EMAIL="ponce@slackbuilds.org"
diff --git a/desktop/lxpanel/patches/lxpanel-0.10.1-fix-pager-panel-width.patch b/desktop/lxpanel/patches/lxpanel-0.10.1-fix-pager-panel-width.patch
new file mode 100644
index 0000000000..4d53fc8f78
--- /dev/null
+++ b/desktop/lxpanel/patches/lxpanel-0.10.1-fix-pager-panel-width.patch
@@ -0,0 +1,37 @@
+From b46e3a39786a5be04bf9cc3844dd184308cd7495 Mon Sep 17 00:00:00 2001
+From: Ben Walsh <b@wumpster.com>
+Date: Sat, 6 Jun 2020 10:38:15 +0100
+Subject: [PATCH] Specify GTK_REQUEST_CONSTANT_SIZE. Fixes #773.
+
+---
+ src/panel.c | 7 +++++++
+ 1 file changed, 7 insertions(+)
+
+diff --git a/src/panel.c b/src/panel.c
+index da9e718b..b52fc796 100644
+--- a/src/panel.c
++++ b/src/panel.c
+@@ -293,6 +293,12 @@ lxpanel_get_preferred_height (GtkWidget *widget,
+ if (natural_height)
+ *natural_height = requisition.height;
+ }
++
++static GtkSizeRequestMode
++lxpanel_get_request_mode (GtkWidget *widget)
++{
++ return GTK_SIZE_REQUEST_CONSTANT_SIZE;
++}
+ #endif
+
+ static void lxpanel_size_allocate(GtkWidget *widget, GtkAllocation *a)
+@@ -413,6 +419,7 @@ static void lxpanel_class_init(PanelToplevelClass *klass)
+ #if GTK_CHECK_VERSION(3, 0, 0)
+ widget_class->get_preferred_width = lxpanel_get_preferred_width;
+ widget_class->get_preferred_height = lxpanel_get_preferred_height;
++ widget_class->get_request_mode = lxpanel_get_request_mode;
+ #else
+ widget_class->size_request = lxpanel_size_request;
+ #endif
+--
+2.27.0
+